GrailsWebPluginManager (Grails 6.0.0)

Package: grails.web.servlet.plugins

## [Groovy] Class GrailsWebPluginManager

- grails.web.servlet.plugins.GrailsWebPluginManager

-     @groovy.transform.CompileStatic
      class GrailsWebPluginManager
      extends DefaultGrailsPluginManager

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `SERVLET_CONTEXT_INIT_METHOD` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGrailsPluginManager` | `COMMON_CLASSES, GRAILS_PLUGIN_SUFFIX, GRAILS_VERSION, LOG, delayedEvictions, delayedLoadPlugins, parentCtx, pluginFilter, pluginToObserverMap, resolver, userPlugins`
    `class AbstractGrailsPluginManager` | `BLANK, CONFIG_BINDING_APP_NAME, CONFIG_BINDING_APP_VERSION, CONFIG_BINDING_GRAILS_HOME, CONFIG_BINDING_USER_HOME, CONFIG_FILE, LOG, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsWebPluginManager (java.lang.String resourcePath, GrailsApplication application)`
    `GrailsWebPluginManager (java.lang.String[] pluginResources, GrailsApplication application)`
    `GrailsWebPluginManager (java.lang.Class<?>[] plugins, GrailsApplication application)`
    `GrailsWebPluginManager (org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `doWithServletContext(javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGrailsPluginManager` | `areDependenciesResolved, areNoneToLoadBefore, attemptLoadPlugins, attemptPluginLoad, canRegisterPlugin, checkForChanges, createBinaryGrailsPlugin, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, evictPlugin, findCorePlugins, findUserPlugins, getPluginFilter, getPluginGrailsVersion, getPluginList, getPluginObservers, getUserPlugins, hasDelayedDependencies, hasGrailsPlugin, hasValidPluginsToLoadBefore, informObservers, initializePlugins, isCompatiblePlugin, isDependentOn, isGrailsPlugin, loadDelayedPlugins, loadPluginClass, loadPlugins, processDelayedEvictions, refreshPlugin, registerPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, setPluginFilter, setPluginFilter, sortPlugins, visitTopologicalSort`
    `class AbstractGrailsPluginManager` | `checkInitialised, convert, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, doRuntimeConfigurationForDependencies, getAllPlugins, getConfigSlurper, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isAlreadyRegistered, isInitialised, isPluginDisabledForProfile, isShutdown, loadApplicationClass, onStartup, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, setPluginFilter, shutdown`

- - ### Field Detail

    - #### public static final java.lang.String SERVLET_CONTEXT_INIT_METHOD

  - ### Constructor Detail

    - #### GrailsWebPluginManager(java.lang.String resourcePath, GrailsApplication application)

    - #### GrailsWebPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

    - #### GrailsWebPluginManager(java.lang.Class<?>[] plugins, GrailsApplication application)

    - #### GrailsWebPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

  - ### Method Detail

    - #### void doWithServletContext(javax.servlet.ServletContext servletContext)